Name:           xvkbd
Version:        4.1
Release:        1%{?dist}
Summary:        Virtual Keyboard for X Window System

License:        GPLv2+
URL:            http://t-sato.in.coocan.jp/xvkbd
Source0:        %{name}-%{version}.tar.gz
Source1:        %{name}.desktop
# The following icon is licensed under CC BY-SA 3.0.
Source2:        %{name}.png

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  desktop-file-utils
BuildRequires:  imake
BuildRequires:  libX11-devel
BuildRequires:  libXaw-devel
BuildRequires:  libXtst-devel
BuildRequires:  Xaw3d-devel

Requires:  libX11
Requires:  libXaw
Requires:  libXtst
Requires:  Xaw3d


%description
xvkbd is a virtual (graphical) keyboard program for X Window System
which provides facility to enter characters onto other clients
(software) by clicking on a keyboard displayed on the screen. This
may be used for systems without a hardware keyboard such as kiosk
terminals or hand-held devices. This program also has facility to send
characters specified as the command line option to another client.


%prep
%autosetup -p1
sed -i 's|<X11/Xaw|<X11/Xaw3d|g' xvkbd.c


%build
xmkmf -a
# Installed "normal" files should have 0644 permission, not 0444 permission.
# So I modify Makefile directly.
sed -i.mode -e 's|-m 0444|-m 0644|' Makefile
%make_build CCOPTIONS="%{optflags}" EXTRA_LDOPTIONS="%{?__global_ldflags}"


%install
# By default this installs some file under /usr/lib/X11/app-defaults,
# even on 64 bit architecture. So I had to add "LIBDIR=%{_libdir}/X11".
make LIBDIR=%{_libdir}/X11 DESTDIR=%{buildroot} INSTALLFLAGS="-c -p" \
          install install.man
rm -frv %{buildroot}%{_libdir}/X11/app-defaults
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{S:1}
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -pDm644 %{S:2} %{buildroot}%{_datadir}/pixmaps


%files
%doc README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/X11/app-defaults/XVkbd*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/X11/words.english


%changelog
* Thu Sep 05 2024 Eugene Misnik <eugene.misnik@habital.lv>
- 
